What are the System Requirements?
  • 20 Oct 2022
  • 1 Minute to read
  • Contributors

What are the System Requirements?


The Cascade application is built and tested to work in the following web browsers.

  • Google Chrome (on latest stable releases of Windows 10 and OSX)
  • Firefox (on latest stable releases of Windows 10)
  • Safari (on latest stable release of OS X)
Note: For all browsers, the following settings must be enabled: TLS 1.2 and JavaScript must be supported/enabled.

It may work in other browsers but these are not officially supported. 

If you find any issues in any of our supported browsers, please let us know by reaching us in the live chat.

You can access our application from a smartphone (be it Android or iPhone) or tablet running on an up-to-date web browser. However, we recommend using Cascade on desktop instead of mobile while we continue to make Cascade more mobile friendly. Ultimately, we think strategy should be in your pocket wherever you go, and we are still fine tuning the mobile experience!


Was this article helpful?